> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Client Admin Summary

> Groups roles by type and sums grant, warrant and investment tokens granted, vested, settled and cancelled.

Required scope: `reports:read`

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-client-admin-summary
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-client-admin-summary:
    get:
      operationId: getClientAdminSummary
      summary: Get Client Admin Summary
      x-toku-required-scope: reports:read
      description: >-
        Groups roles by type and sums grant, warrant and investment tokens
        granted, vested, settled and cancelled.


        Required scope: `reports:read`
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetClientAdminSummaryResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetClientAdminSummaryResponse:
      type: object
      properties:
        tableData:
          type: array
          items:
            type: object
            properties:
              tokenLabel:
                type: string
              isFiat:
                type: boolean
              tokenTypeID:
                type:
                  - string
                  - 'null'
              network:
                type:
                  - string
                  - 'null'
              type:
                type: string
              roleCount:
                type: integer
              totalNumberOfGrants:
                type: integer
              totalTokens:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              tokensVested:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              tokensSettled:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              tokensCancelled:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
            required:
              - type
              - roleCount
              - totalNumberOfGrants
              - totalTokens
              - tokensVested
              - tokensSettled
        shouldShowTokensCancelled:
          type: boolean
      required:
        - tableData
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
